package cn.com.qmth.examcloud.reports.commons.handler;

import org.apache.kafka.clients.producer.Callback;
import org.apache.kafka.clients.producer.RecordMetadata;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class KafkaSendResultHandler implements Callback {
	private final static Logger logger = LoggerFactory.getLogger(KafkaSendResultHandler.class);
	private final String topic;
    private final String message;
    
    
	public KafkaSendResultHandler(String topic,String message) {
		super();
		this.topic = topic;
		this.message = message;
	}


	@Override
	public void onCompletion(RecordMetadata metadata, Exception exception) {
		if(exception==null) {
			logger.debug("kafka message send success : "+" "+topic+" "+message);
		}else {
			logger.error("kafka message send error ："+" "+topic+" "+message,exception);
		}
	}
}
